consoles.Console.AppletHelpMessage=Type 'help' for help.
consoles.Console.AppletInfo=Jep Console applet\nR Morris Mar 2022\nSee http://www.singularsys.com/
consoles.Console.ApplicationHelpMessage=Type 'help' for help and 'quit' or 'exit' to quit.
consoles.Console.ExitCommand=exit
consoles.Console.FunctionsCommand=functions

consoles.Console.HelpCommand=help
consoles.Console.IntroText=Jep Console.
consoles.Console.IOErrorExiting=IOError exiting
consoles.Console.KnownFunctions=Known functions:
consoles.Console.OperatorsCommand=operators
consoles.Console.HistoryCommand=history
consoles.Console.ShowHistory=showHistory
consoles.Console.ShowHistoryOff=off
consoles.Console.ArrayOffsetCommand=setArrayOffset
consoles.Console.Prompt=Jep > 
consoles.Console.QuitCommand=quit
consoles.Console.Variables=Variables:
consoles.Console.VariablesCommand=variables
consoles.Console.ClearVariablesCommand=clearvariables
consoles.Console.FormatCommand=format
consoles.Console.SetMonitorCommand=setMonitor
consoles.Console.SetMonitorCommand.Off=off
consoles.Console.SetMonitorCommand.Calls=calls
consoles.Console.SetMonitorCommand.Times=times
consoles.Console.ShowCallsCommand=showCalls
consoles.Console.ShowTreeCommand=showTree


consoles.Console.HelpMessages=\ \ functions\t\tlists defined functions\n\
\ \ operators\t\tlists defined operators\n\
\ \ variables\t\tlists variables and constants\n\
\ \ clearvariables\tclears all variables and constants\n\
\ \ format 3\t\tset the format for a double number to display 3 decimal places,\n\
\ \ format %+.2f\t\tuse a specific format string,\n\
\ \ format\t\trevert to the default uses double.toString()\n\
\ \ history\t\tlists history, equation and values\n\
\ \ !1\t\t\trepeat first history item, '!2' repeat second history item,\n\
\ \ !!\t\t\trepeats last history item, '!-2' repeats last but one history item\n\
\ \ $1, $2\t\tResult of the i-th command. '$$' is the previous result.\n\
\ \ showHistory [off]\tto switch showing the history number on or off\n\
\ \ setMonitor [off|calls|times]\t\tsets up monitoring of call tree\n\
\ \ showCalls\t\tshow a summary of number of function calls\n\
\ \ showTree\t\tshows the call tree with execution times\n\
Multi-line commands can be added with \\\\ at the end of a line \n

consoles.BigDecimalConsole.Prompt=BigDecConsole > 
consoles.BigDecimalConsole.SetPrecedenceCommand=setPrec
consoles.BigDecimalConsole.SetPrecedenceHelpMessage=\  setPrec precision [rounding_mode]\n\
\t\t\tsets the precision and rounding mode\n\
\t\t\tprecision is the number of decimal digit accuracy, 0 is infinite precision\n\
\t\t\trounding_mode is HALF_UP by default, see java.math.RoundingMode.\n

consoles.BigDecimalConsole.SetScaleCommand=setScale
consoles.BigDecimalConsole.SetScaleHelpMessage=\  setScale dp\t\tsets the number of decimal places for fixed-point operations


consoles.PrefixDumperConsole.Result=Result: 
consoles.PrefixDumperConsole.SetDumpCommand=setDump
consoles.PrefixDumperConsole.SetDumpHelpMessage='setDump flag' whether to dump node, flag is y or n
consoles.PrefixDumperConsole.SetStatsCommand=setStats
consoles.PrefixDumperConsole.SetStatsHelpMessage='setStats flag' whether to print statistics, flag is y or n
consoles.PrefixDumperConsole.TotalsCommand=totals
consoles.PrefixDumperConsole.TotalsHelpMessage='totals' prints the total statistics for all nodes
consoles.PrefixDumperConsole.YesOption=y

consoles.CPConsole.DictionaryHelp=\
Dictionary operations:\n\
\  dict={'x':2, 'y':3}		creation of a dictionary\n\
\  get(dict,'x')			Gets the value associated with a key\n\
\  getOr(dict,'x',-1)		Gets the value associated with a key or a default value if the key is not found\n\
\  put(dict,'x',5)		Sets the value for a key\n\
\  remove(dict,'x')		Remove an entry from a dictionary\n\
\  containsKey(dict, 'x')	Tests if a key exists\n\
\  numEntries(dict)		Number of entries in the dictionary\n\
\  keys(dict)			The keys in a dictionary as a vector\n\
\  values(dict)			The values in a dictionary as a vector\n\
\  entries(dict)			The entries in a dictionary as a N by 2 matrix\n\
\  clear(dict)			Remove all entries from a dictionary\n\
\  dict=hashMap([['x',2],['y',3],['z',4]])\n\
\  				create a hash map from a nested list\n\
\  dict=treeMap()		Create a tree map, with sorted key order\n\
\  dict=linkedMap()		Create a linked hash map with insertion order\n\
